﻿using System;
using System.Linq;
using System.Windows.Forms;
using Telerik.Windows.Documents.Spreadsheet.FormatProviders.OpenXml.Xlsx;
using Telerik.Windows.Documents.Spreadsheet.Model;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Workbook workbook = new Workbook();
            var worksheet = workbook.Worksheets.Add();

            for (int i = 0; i < 50; i++)
            {
                for (int j = 0; j < 50; j++)
                {
                    worksheet.Cells[i, j].SetValue(i + j);
                }
            }

            worksheet.Filter.FilterRange = worksheet.UsedCellRange;

            SaveFileDialog dialog = new SaveFileDialog();
            if (dialog.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                using (var stream = dialog.OpenFile())
                {
                    XlsxFormatProvider provider = new XlsxFormatProvider();
                    provider.Export(workbook, stream);
                }               
            }
        }
    }
}
